namespace MinicsConsole.Hubs.UI;

public partial class UIHub
{
    public Task QueryConfigFiles()
    {
        return configFileOperator.QueryConfigFiles();
    }

    public bool SetConfigFile(string fileName)
    {
        return configFileOperator.SetConfigFile(fileName);
    }

    public bool RemoveFile(string fileName)
    {
        return configFileOperator.RemoveFile(fileName);
    }

    public bool LoadNewFile(string filePath)
    {
        return configFileOperator.LoadNewFile(filePath);
    }

    public bool SaveConfig(string fileName, TemperatureConfig temperatureConfig, bool saveAsNew)
    {
       return configFileOperator.SaveConfig(fileName, temperatureConfig, saveAsNew);
    }

    public TemperatureConfig? QueryMini8Data()
    {
        return configFileOperator.QueryMini8Data();
    }
}